/*
 * xhtmlcallbacks.h
 * xhtmlite
 *
 * by Doug Wolfe
 * doug@wolfescience.com 
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>

void xhtmlite_dialog_setup_buffer (GtkWidget * widget, gchar * text, gboolean * debug);
void xhtml_dialog_on_response (GtkDialog * dialog, gint response_id, gpointer user_data);

void xhtml_symbol_combobox_unicodetype_on_changed (GtkComboBox * combobox, gpointer user_data);

void xhtml_dialog_button_export_on_clicked (GtkButton * button, gpointer user_data);
void xhtml_dialog_button_import_on_clicked (GtkButton * button, gpointer user_data);

void
xhtml_dialog_button_export_on_clicked  (GtkButton       *button,
                                        gpointer         user_data);
